Index: src/Tesselation/tesselation.cpp
===================================================================
--- src/Tesselation/tesselation.cpp	(revision 2a3124b519027c588e363ec4c5a44171b4715777)
+++ src/Tesselation/tesselation.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -1441,14 +1441,16 @@
 
   } else {
-    LOG(0, "Circumcircle for base line " << *CandidateLine.BaseLine << " and base triangle " << T << " is too big!");
+    LOG(3, "DEBUG: Circumcircle for base line " << *CandidateLine.BaseLine << " and base triangle " << T << " is too big!");
   }
 
   if (CandidateLine.pointlist.empty()) {
-    ELOG(2, "Could not find a suitable candidate.");
+    ELOG(4, "DEBUG: Could not find a suitable candidate.");
     return false;
   }
-  LOG(0, "Third Points are: ");
-  for (TesselPointList::iterator it = CandidateLine.pointlist.begin(); it != CandidateLine.pointlist.end(); ++it) {
-    LOG(0, " " << *(*it));
+  {
+    std::stringstream output;
+    for (TesselPointList::iterator it = CandidateLine.pointlist.begin(); it != CandidateLine.pointlist.end(); ++it)
+      output << " " << *(*it);
+    LOG(3, "DEBUG: Third Points are: " << output.str());
   }
 
@@ -1474,5 +1476,5 @@
       ASSERT((baseline->BaseLine->triangles.size() == 1),"Open line without exactly one attached triangle");
       T = (((baseline->BaseLine->triangles.begin()))->second);
-      LOG(1, "Finding best candidate for open line " << *baseline->BaseLine << " of triangle " << *T);
+      LOG(4, "DEBUG: Finding best candidate for open line " << *baseline->BaseLine << " of triangle " << *T);
       TesselationFailFlag = TesselationFailFlag && FindNextSuitableTriangle(*baseline, *T, RADIUS, LCList); //the line is there, so there is a triangle, but only one.
     }
@@ -1491,5 +1493,5 @@
 void Tesselation::AddCandidatePolygon(CandidateForTesselation CandidateLine, const double RADIUS, const LinkedCell_deprecated *LC)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   Vector Center;
   TesselPoint * const TurningPoint = CandidateLine.BaseLine->endpoints[0]->node;
@@ -1505,7 +1507,10 @@
   TesselPointList *connectedClosestPoints = GetCircleOfSetOfPoints(&SetOfNeighbours, TurningPoint, CandidateLine.BaseLine->endpoints[1]->node->getPosition());
 
-  LOG(0, "List of Candidates for Turning Point " << *TurningPoint << ":");
-  for (TesselPointList::iterator TesselRunner = connectedClosestPoints->begin(); TesselRunner != connectedClosestPoints->end(); ++TesselRunner)
-    LOG(0, " " << **TesselRunner);
+  {
+    std::stringstream output;
+    for (TesselPointList::iterator TesselRunner = connectedClosestPoints->begin(); TesselRunner != connectedClosestPoints->end(); ++TesselRunner)
+      output << **TesselRunner;
+    LOG(3, "DEBUG: List of Candidates for Turning Point " << *TurningPoint << ":");
+  }
 
   // go through all angle-sorted candidates (in degenerate n-nodes case we may have to add multiple triangles)
@@ -1514,5 +1519,5 @@
   Sprinter++;
   while (Sprinter != connectedClosestPoints->end()) {
-    LOG(0, "Current Runner is " << *(*Runner) << " and sprinter is " << *(*Sprinter) << ".");
+    LOG(3, "DEBUG: Current Runner is " << *(*Runner) << " and sprinter is " << *(*Sprinter) << ".");
 
     AddTesselationPoint(TurningPoint, 0);
@@ -1527,5 +1532,5 @@
       // fill the internal open lines with its respective candidate (otherwise lines in degenerate case are not picked)
       FindDegeneratedCandidatesforOpenLines(*Sprinter, &CandidateLine.OptCenter); // Assume BTS contains last triangle
-      LOG(0, " There are still more triangles to add.");
+      LOG(2, "DEBUG:  There are still more triangles to add.");
     }
     // pick candidates for other open lines as well
@@ -1535,5 +1540,5 @@
     if (CheckDegeneracy(CandidateLine, RADIUS, LC)) {
       // add normal and degenerate triangles
-      LOG(1, "Triangle of endpoints " << *TPS[0] << "," << *TPS[1] << " and " << *TPS[2] << " is degenerated, adding both sides.");
+      LOG(3, "DEBUG: Triangle of endpoints " << *TPS[0] << "," << *TPS[1] << " and " << *TPS[2] << " is degenerated, adding both sides.");
       AddCandidateTriangle(CandidateLine, OtherOpt);
 
@@ -1555,16 +1560,16 @@
 void Tesselation::FindDegeneratedCandidatesforOpenLines(TesselPoint * const Sprinter, const Vector * const OptCenter)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
 
   pair<LineMap::iterator, LineMap::iterator> FindPair = TPS[0]->lines.equal_range(TPS[2]->node->getNr());
   for (LineMap::const_iterator FindLine = FindPair.first; FindLine != FindPair.second; FindLine++) {
-    LOG(1, "INFO: Checking line " << *(FindLine->second) << " ...");
+    LOG(4, "DEBUG: Checking line " << *(FindLine->second) << " ...");
     // If there is a line with less than two attached triangles, we don't need a new line.
     if (FindLine->second->triangles.size() == 1) {
       CandidateMap::iterator Finder = OpenLines.find(FindLine->second);
       if (!Finder->second->pointlist.empty())
-        LOG(1, "INFO: line " << *(FindLine->second) << " is open with candidate " << **(Finder->second->pointlist.begin()) << ".");
+        LOG(4, "DEBUG: line " << *(FindLine->second) << " is open with candidate " << **(Finder->second->pointlist.begin()) << ".");
       else {
-        LOG(1, "INFO: line " << *(FindLine->second) << " is open with no candidate, setting to next Sprinter" << (*Sprinter));
+        LOG(4, "DEBUG: line " << *(FindLine->second) << " is open with no candidate, setting to next Sprinter" << (*Sprinter));
         Finder->second->T = BTS;  // is last triangle
         Finder->second->pointlist.push_back(Sprinter);
@@ -1585,5 +1590,5 @@
 void Tesselation::AddDegeneratedTriangle(CandidateForTesselation &CandidateLine, const double RADIUS, const LinkedCell_deprecated *LC)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   Vector Center;
   CandidateMap::const_iterator CandidateCheck = OpenLines.end();
@@ -1591,13 +1596,13 @@
 
   /// 1. Create or pick the lines for the first triangle
-  LOG(0, "INFO: Creating/Picking lines for first triangle ...");
+  LOG(3, "DEBUG: Creating/Picking lines for first triangle ...");
   for (int i = 0; i < 3; i++) {
     BLS[i] = NULL;
-    LOG(0, "Current line is between " << *TPS[(i + 0) % 3] << " and " << *TPS[(i + 1) % 3] << ":");
+    LOG(3, "DEBUG: Current line is between " << *TPS[(i + 0) % 3] << " and " << *TPS[(i + 1) % 3] << ":");
     AddTesselationLine(&CandidateLine.OptCenter, TPS[(i + 2) % 3], TPS[(i + 0) % 3], TPS[(i + 1) % 3], i);
   }
 
   /// 2. create the first triangle and NormalVector and so on
-  LOG(0, "INFO: Adding first triangle with center at " << CandidateLine.OptCenter << " ...");
+  LOG(3, "DEBUG: Adding first triangle with center at " << CandidateLine.OptCenter << " ...");
   BTS = new class BoundaryTriangleSet(BLS, TrianglesOnBoundaryCount);
   AddTesselationTriangle();
@@ -1610,13 +1615,13 @@
   // give some verbose output about the whole procedure
   if (CandidateLine.T != NULL)
-    LOG(0, "--> New triangle with " << *BTS << " and normal vector " << BTS->NormalVector << ", from " << *CandidateLine.T << " and angle " << CandidateLine.ShortestAngle << ".");
+    LOG(2, "DEBUG: --> New triangle with " << *BTS << " and normal vector " << BTS->NormalVector << ", from " << *CandidateLine.T << " and angle " << CandidateLine.ShortestAngle << ".");
   else
-    LOG(0, "--> New starting triangle with " << *BTS << " and normal vector " << BTS->NormalVector << " and no top triangle.");
+    LOG(2, "DEBUG: --> New starting triangle with " << *BTS << " and normal vector " << BTS->NormalVector << " and no top triangle.");
   triangle = BTS;
 
   /// 3. Gather candidates for each new line
-  LOG(0, "INFO: Adding candidates to new lines ...");
+  LOG(3, "DEBUG: Adding candidates to new lines ...");
   for (int i = 0; i < 3; i++) {
-    LOG(0, "Current line is between " << *TPS[(i + 0) % 3] << " and " << *TPS[(i + 1) % 3] << ":");
+    LOG(4, "DEBUG: Current line is between " << *TPS[(i + 0) % 3] << " and " << *TPS[(i + 1) % 3] << ":");
     CandidateCheck = OpenLines.find(BLS[i]);
     if ((CandidateCheck != OpenLines.end()) && (CandidateCheck->second->pointlist.empty())) {
@@ -1628,12 +1633,12 @@
 
   /// 4. Create or pick the lines for the second triangle
-  LOG(0, "INFO: Creating/Picking lines for second triangle ...");
+  LOG(3, "DEBUG: Creating/Picking lines for second triangle ...");
   for (int i = 0; i < 3; i++) {
-    LOG(0, "Current line is between " << *TPS[(i + 0) % 3] << " and " << *TPS[(i + 1) % 3] << ":");
+    LOG(4, "DEBUG: Current line is between " << *TPS[(i + 0) % 3] << " and " << *TPS[(i + 1) % 3] << ":");
     AddTesselationLine(&CandidateLine.OtherOptCenter, TPS[(i + 2) % 3], TPS[(i + 0) % 3], TPS[(i + 1) % 3], i);
   }
 
   /// 5. create the second triangle and NormalVector and so on
-  LOG(0, "INFO: Adding second triangle with center at " << CandidateLine.OtherOptCenter << " ...");
+  LOG(3, "DEBUG: Adding second triangle with center at " << CandidateLine.OtherOptCenter << " ...");
   BTS = new class BoundaryTriangleSet(BLS, TrianglesOnBoundaryCount);
   AddTesselationTriangle();
@@ -1645,12 +1650,12 @@
   // give some verbose output about the whole procedure
   if (CandidateLine.T != NULL)
-    LOG(0, "--> New degenerate triangle with " << *BTS << " and normal vector " << BTS->NormalVector << ", from " << *CandidateLine.T << " and angle " << CandidateLine.ShortestAngle << ".");
+    LOG(2, "DEBUG: --> New degenerate triangle with " << *BTS << " and normal vector " << BTS->NormalVector << ", from " << *CandidateLine.T << " and angle " << CandidateLine.ShortestAngle << ".");
   else
-    LOG(0, "--> New degenerate starting triangle with " << *BTS << " and normal vector " << BTS->NormalVector << " and no top triangle.");
+    LOG(2, "DEBUG: --> New degenerate starting triangle with " << *BTS << " and normal vector " << BTS->NormalVector << " and no top triangle.");
 
   /// 6. Adding triangle to new lines
-  LOG(0, "INFO: Adding second triangles to new lines ...");
+  LOG(3, "DEBUG: Adding second triangles to new lines ...");
   for (int i = 0; i < 3; i++) {
-    LOG(0, "Current line is between " << *TPS[(i + 0) % 3] << " and " << *TPS[(i + 1) % 3] << ":");
+    LOG(4, "DEBUG: Current line is between " << *TPS[(i + 0) % 3] << " and " << *TPS[(i + 1) % 3] << ":");
     CandidateCheck = OpenLines.find(BLS[i]);
     if ((CandidateCheck != OpenLines.end()) && (CandidateCheck->second->pointlist.empty())) {
@@ -1669,5 +1674,5 @@
 void Tesselation::AddCandidateTriangle(CandidateForTesselation &CandidateLine, enum centers type)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   Vector Center;
   Vector *OptCenter = (type == Opt) ? &CandidateLine.OptCenter : &CandidateLine.OtherOptCenter;
@@ -1690,7 +1695,7 @@
   // give some verbose output about the whole procedure
   if (CandidateLine.T != NULL)
-    LOG(0, "--> New" << ((type == OtherOpt) ? " degenerate " : " ") << "triangle with " << *BTS << " and normal vector " << BTS->NormalVector << ", from " << *CandidateLine.T << " and angle " << CandidateLine.ShortestAngle << ".");
+    LOG(2, "INFO: --> New" << ((type == OtherOpt) ? " degenerate " : " ") << "triangle with " << *BTS << " and normal vector " << BTS->NormalVector << ", from " << *CandidateLine.T << " and angle " << CandidateLine.ShortestAngle << ".");
   else
-    LOG(0, "--> New" << ((type == OtherOpt) ? " degenerate " : " ") << "starting triangle with " << *BTS << " and normal vector " << BTS->NormalVector << " and no top triangle.");
+    LOG(2, "INFO: --> New" << ((type == OtherOpt) ? " degenerate " : " ") << "starting triangle with " << *BTS << " and normal vector " << BTS->NormalVector << " and no top triangle.");
 }
 ;
@@ -1705,5 +1710,5 @@
 class BoundaryPointSet *Tesselation::IsConvexRectangle(class BoundaryLineSet *Base)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   class BoundaryPointSet *Spot = NULL;
   class BoundaryLineSet *OtherBase;
@@ -1717,6 +1722,6 @@
   OtherBase = new class BoundaryLineSet(BPS, -1);
 
-  LOG(1, "INFO: Current base line is " << *Base << ".");
-  LOG(1, "INFO: Other base line is " << *OtherBase << ".");
+  LOG(3, "DEBUG: Current base line is " << *Base << ".");
+  LOG(3, "DEBUG: Other base line is " << *OtherBase << ".");
 
   // get the closest point on each line to the other line
@@ -1736,5 +1741,5 @@
   delete (ClosestPoint);
   if ((distance[0] * distance[1]) > 0) { // have same sign?
-    LOG(1, "REJECT: Both SKPs have same sign: " << distance[0] << " and " << distance[1] << ". " << *Base << "' rectangle is concave.");
+    LOG(4, "REJECT: Both SKPs have same sign: " << distance[0] << " and " << distance[1] << ". " << *Base << "' rectangle is concave.");
     if (distance[0] < distance[1]) {
       Spot = Base->endpoints[0];
@@ -1744,5 +1749,5 @@
     return Spot;
   } else { // different sign, i.e. we are in between
-    LOG(0, "ACCEPT: Rectangle of triangles of base line " << *Base << " is convex.");
+    LOG(3, "ACCEPT: Rectangle of triangles of base line " << *Base << " is convex.");
     return NULL;
   }
@@ -1753,9 +1758,10 @@
 void Tesselation::PrintAllBoundaryPoints(ofstream *out) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // print all lines
-  LOG(0, "Printing all boundary points for debugging:");
+  std::stringstream output;
   for (PointMap::const_iterator PointRunner = PointsOnBoundary.begin(); PointRunner != PointsOnBoundary.end(); PointRunner++)
-    LOG(0, *(PointRunner->second));
+    output << " " << *(PointRunner->second);
+  LOG(3, "DEBUG: Printing all boundary points for debugging:" << output.str());
 }
 ;
@@ -1763,9 +1769,10 @@
 void Tesselation::PrintAllBoundaryLines(ofstream *out) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // print all lines
-  LOG(0, "Printing all boundary lines for debugging:");
+  std::stringstream output;
   for (LineMap::const_iterator LineRunner = LinesOnBoundary.begin(); LineRunner != LinesOnBoundary.end(); LineRunner++)
-    LOG(0, *(LineRunner->second));
+    output << " " << *(LineRunner->second);
+  LOG(3, "DEBUG: Printing all boundary lines for debugging:" << output.str());
 }
 ;
@@ -1773,9 +1780,10 @@
 void Tesselation::PrintAllBoundaryTriangles(ofstream *out) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // print all triangles
-  LOG(0, "Printing all boundary triangles for debugging:");
+  std::stringstream output;
   for (TriangleMap::const_iterator TriangleRunner = TrianglesOnBoundary.begin(); TriangleRunner != TrianglesOnBoundary.end(); TriangleRunner++)
-    LOG(0, *(TriangleRunner->second));
+    output << " " << *(TriangleRunner->second);
+  LOG(3, "DEBUG: Printing all boundary triangles for debugging:" << output.str());
 }
 ;
@@ -1788,5 +1796,5 @@
 double Tesselation::PickFarthestofTwoBaselines(class BoundaryLineSet *Base)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   class BoundaryLineSet *OtherBase;
   Vector *ClosestPoint[2];
@@ -1800,6 +1808,6 @@
   OtherBase = new class BoundaryLineSet(BPS, -1);
 
-  LOG(0, "INFO: Current base line is " << *Base << ".");
-  LOG(0, "INFO: Other base line is " << *OtherBase << ".");
+  LOG(3, "DEBUG: Current base line is " << *Base << ".");
+  LOG(3, "DEBUG: Other base line is " << *OtherBase << ".");
 
   // get the closest point on each line to the other line
@@ -1819,5 +1827,5 @@
 
   if (Distance.NormSquared() < MYEPSILON) { // check for intersection
-    LOG(0, "REJECT: Both lines have an intersection: Nothing to do.");
+    LOG(3, "REJECT: Both lines have an intersection: Nothing to do.");
     return false;
   } else { // check for sign against BaseLineNormal
@@ -1829,5 +1837,5 @@
     }
     for (TriangleMap::iterator runner = Base->triangles.begin(); runner != Base->triangles.end(); runner++) {
-    LOG(1, "INFO: Adding NormalVector " << runner->second->NormalVector << " of triangle " << *(runner->second) << ".");
+    LOG(4, "DEBUG: Adding NormalVector " << runner->second->NormalVector << " of triangle " << *(runner->second) << ".");
       BaseLineNormal += (runner->second->NormalVector);
     }
@@ -1835,9 +1843,9 @@
 
     if (Distance.ScalarProduct(BaseLineNormal) > MYEPSILON) { // Distance points outwards, hence OtherBase higher than Base -> flip
-      LOG(0, "ACCEPT: Other base line would be higher: Flipping baseline.");
+      LOG(3, "ACCEPT: Other base line would be higher: Flipping baseline.");
       // calculate volume summand as a general tetraeder
       return volume;
     } else { // Base higher than OtherBase -> do nothing
-      LOG(0, "REJECT: Base line is higher: Nothing to do.");
+      LOG(3, "REJECT: Base line is higher: Nothing to do.");
       return 0.;
     }
@@ -1855,5 +1863,5 @@
 class BoundaryLineSet * Tesselation::FlipBaseline(class BoundaryLineSet *Base)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   class BoundaryLineSet *OldLines[4], *NewLine;
   class BoundaryPointSet *OldPoints[2];
@@ -1884,21 +1892,19 @@
 
   // print OldLines and OldPoints for debugging
-  if (DoLog(0)) {
+  if (DoLog(3)) {
     std::stringstream output;
-    output << "The four old lines are: ";
     for (TriangleMap::iterator runner = Base->triangles.begin(); runner != Base->triangles.end(); runner++)
       for (int j = 0; j < 3; j++) // all of their endpoints and baselines
         if (runner->second->lines[j] != Base) // pick not the central baseline
           output << *runner->second->lines[j] << "\t";
-    LOG(0, output.str());
-  }
-  if (DoLog(0)) {
+    LOG(3, "DEBUG: The four old lines are: " << output.str());
+  }
+  if (DoLog(3)) {
     std::stringstream output;
-    output << "The two old points are: ";
     for (TriangleMap::iterator runner = Base->triangles.begin(); runner != Base->triangles.end(); runner++)
       for (int j = 0; j < 3; j++) // all of their endpoints and baselines
         if (!Base->ContainsBoundaryPoint(runner->second->endpoints[j])) // and neither of its endpoints
           output << *runner->second->endpoints[j] << "\t";
-    LOG(0, output.str());
+    LOG(3, "DEBUG: The two old points are: " << output.str());
   }
 
@@ -1930,5 +1936,5 @@
 
   // remove triangles and baseline removes itself
-  LOG(0, "INFO: Deleting baseline " << *Base << " from global list.");
+  LOG(3, "DEBUG: Deleting baseline " << *Base << " from global list.");
   OldBaseLineNr = Base->Nr;
   m = 0;
@@ -1939,5 +1945,5 @@
   // .. then delete each triangle (which deletes the line as well)
   for (list <BoundaryTriangleSet *>::iterator runner = TrianglesOfBase.begin(); !TrianglesOfBase.empty(); runner = TrianglesOfBase.begin()) {
-    LOG(0, "INFO: Deleting triangle " << *(*runner) << ".");
+    LOG(3, "DEBUG: Deleting triangle " << *(*runner) << ".");
     OldTriangleNrs[m++] = (*runner)->Nr;
     RemoveTesselationTriangle((*runner));
@@ -1950,5 +1956,5 @@
   NewLine = new class BoundaryLineSet(BPS, OldBaseLineNr);
   LinesOnBoundary.insert(LinePair(OldBaseLineNr, NewLine)); // no need for check for unique insertion as NewLine is definitely a new one
-  LOG(0, "INFO: Created new baseline " << *NewLine << ".");
+  LOG(3, "DEBUG: Created new baseline " << *NewLine << ".");
 
   // construct new triangles with flipped baseline
@@ -1965,5 +1971,5 @@
     BTS->GetNormalVector(BaseLineNormal);
     AddTesselationTriangle(OldTriangleNrs[0]);
-    LOG(0, "INFO: Created new triangle " << *BTS << ".");
+    LOG(3, "DEBUG: Created new triangle " << *BTS << ".");
 
     BLS[0] = (i == 2 ? OldLines[3] : OldLines[2]);
@@ -1973,5 +1979,5 @@
     BTS->GetNormalVector(BaseLineNormal);
     AddTesselationTriangle(OldTriangleNrs[1]);
-    LOG(0, "INFO: Created new triangle " << *BTS << ".");
+    LOG(3, "DEBUG: Created new triangle " << *BTS << ".");
   } else {
     ELOG(0, "The four old lines do not connect, something's utterly wrong here!");
@@ -1993,5 +1999,5 @@
 void Tesselation::FindSecondPointForTesselation(TesselPoint* a, Vector Oben, TesselPoint*& OptCandidate, double Storage[3], double RADIUS, const LinkedCell_deprecated *LC)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   Vector AngleCheck;
   class TesselPoint* Candidate = NULL;
@@ -2014,5 +2020,5 @@
     Nupper[i] = ((N[i] + 1) < LC->N[i]) ? N[i] + 1 : LC->N[i] - 1;
   }
-  LOG(0, "LC Intervals from [" << N[0] << "<->" << LC->N[0] << ", " << N[1] << "<->" << LC->N[1] << ", " << N[2] << "<->" << LC->N[2] << "] :" << " [" << Nlower[0] << "," << Nupper[0] << "], " << " [" << Nlower[1] << "," << Nupper[1] << "], " << " [" << Nlower[2] << "," << Nupper[2] << "], ");
+  LOG(3, "DEBUG: LC Intervals from [" << N[0] << "<->" << LC->N[0] << ", " << N[1] << "<->" << LC->N[1] << ", " << N[2] << "<->" << LC->N[2] << "] :" << " [" << Nlower[0] << "," << Nupper[0] << "], " << " [" << Nlower[1] << "," << Nupper[1] << "], " << " [" << Nlower[2] << "," << Nupper[2] << "], ");
 
   for (LC->n[0] = Nlower[0]; LC->n[0] <= Nupper[0]; LC->n[0]++)
@@ -2048,20 +2054,20 @@
                 if (angle < Storage[0]) {
                   //LOG(1, "INFO: Old values of Storage is " << Storage[0] << ", " << Storage[1]);
-                  LOG(1, "INFO: Current candidate is " << *Candidate << ": Is a better candidate with distance " << norm << " and angle " << angle << " to oben " << Oben << ".");
+                  LOG(4, "DEBUG: Current candidate is " << *Candidate << ": Is a better candidate with distance " << norm << " and angle " << angle << " to oben " << Oben << ".");
                   OptCandidate = Candidate;
                   Storage[0] = angle;
-                  //LOG(1, "INFO: Changing something in  Storage is " << Storage[0] << ", " << Storage[1]);
+                  //LOG(4, "DEBUG: Changing something in  Storage is " << Storage[0] << ", " << Storage[1]);
                 } else {
-                  //LOG(1, "INFO: Current candidate is " << *Candidate << ": Looses with angle " << angle << " to a better candidate " << *OptCandidate);
+                  //LOG(4, "DEBUG: Current candidate is " << *Candidate << ": Looses with angle " << angle << " to a better candidate " << *OptCandidate);
                 }
               } else {
-                //LOG(1, "INFO: Current candidate is " << *Candidate << ": Refused due to Radius " << norm);
+                //LOG(4, "DEBUG: Current candidate is " << *Candidate << ": Refused due to Radius " << norm);
               }
             } else {
-              //LOG(1, "INFO: Current candidate is " << *Candidate << ": Candidate is equal to first endpoint." << *a << ".");
+              //LOG(4, "DEBUG: Current candidate is " << *Candidate << ": Candidate is equal to first endpoint." << *a << ".");
             }
           }
         } else {
-          LOG(0, "Linked cell list is empty.");
+          LOG(4, "DEBUG: Linked cell list is empty.");
         }
       }
@@ -2101,5 +2107,5 @@
 void Tesselation::FindThirdPointForTesselation(const Vector &NormalVector, const Vector &SearchDirection, const Vector &OldSphereCenter, CandidateForTesselation &CandidateLine, const class BoundaryPointSet * const ThirdPoint, const double RADIUS, const LinkedCell_deprecated *LC) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   Vector CircleCenter; // center of the circle, i.e. of the band of sphere's centers
   Vector CirclePlaneNormal; // normal vector defining the plane this circle lives in
@@ -2118,5 +2124,5 @@
   TesselPoint *Candidate = NULL;
 
-  LOG(1, "INFO: NormalVector of BaseTriangle is " << NormalVector << ".");
+  LOG(3, "DEBUG: NormalVector of BaseTriangle is " << NormalVector << ".");
 
   // copy old center
@@ -2140,5 +2146,5 @@
     CircleRadius = RADIUS * RADIUS - radius;
     CirclePlaneNormal.Normalize();
-    LOG(1, "INFO: CircleCenter is at " << CircleCenter << ", CirclePlaneNormal is " << CirclePlaneNormal << " with circle radius " << sqrt(CircleRadius) << ".");
+    LOG(3, "DEBUG: CircleCenter is at " << CircleCenter << ", CirclePlaneNormal is " << CirclePlaneNormal << " with circle radius " << sqrt(CircleRadius) << ".");
 
     // test whether old center is on the band's plane
@@ -2149,8 +2155,8 @@
     radius = RelativeOldSphereCenter.NormSquared();
     if (fabs(radius - CircleRadius) < HULLEPSILON) {
-      LOG(1, "INFO: RelativeOldSphereCenter is at " << RelativeOldSphereCenter << ".");
+      LOG(3, "DEBUG: RelativeOldSphereCenter is at " << RelativeOldSphereCenter << ".");
 
       // check SearchDirection
-      LOG(1, "INFO: SearchDirection is " << SearchDirection << ".");
+      LOG(3, "DEBUG: SearchDirection is " << SearchDirection << ".");
       if (fabs(RelativeOldSphereCenter.ScalarProduct(SearchDirection)) > HULLEPSILON) { // rotated the wrong way!
         ELOG(1, "SearchDirection and RelativeOldSphereCenter are not orthogonal!");
@@ -2167,5 +2173,5 @@
       }
       // then go through the current and all neighbouring cells and check the contained points for possible candidates
-//      if (DoLog(0)) {
+//      if (DoLog(3)) {
 //        std::stringstream output;
 //        output << "LC Intervals:";
@@ -2188,10 +2194,10 @@
 
                 // check for three unique points
-                LOG(2, "INFO: Current Candidate is " << *Candidate << " for BaseLine " << *CandidateLine.BaseLine << " with OldSphereCenter " << OldSphereCenter << ".");
+                LOG(4, "DEBUG: Current Candidate is " << *Candidate << " for BaseLine " << *CandidateLine.BaseLine << " with OldSphereCenter " << OldSphereCenter << ".");
                 if ((Candidate != CandidateLine.BaseLine->endpoints[0]->node) && (Candidate != CandidateLine.BaseLine->endpoints[1]->node)) {
 
                   // find center on the plane
                   GetCenterofCircumcircle(NewPlaneCenter, CandidateLine.BaseLine->endpoints[0]->node->getPosition(), CandidateLine.BaseLine->endpoints[1]->node->getPosition(), Candidate->getPosition());
-                  LOG(1, "INFO: NewPlaneCenter is " << NewPlaneCenter << ".");
+                  LOG(3, "DEBUG: NewPlaneCenter is " << NewPlaneCenter << ".");
 
                   try {
@@ -2199,9 +2205,9 @@
                                             (CandidateLine.BaseLine->endpoints[1]->node->getPosition()),
                                             (Candidate->getPosition())).getNormal();
-                    LOG(1, "INFO: NewNormalVector is " << NewNormalVector << ".");
+                    LOG(3, "DEBUG: NewNormalVector is " << NewNormalVector << ".");
                     radius = CandidateLine.BaseLine->endpoints[0]->node->DistanceSquared(NewPlaneCenter);
-                    LOG(1, "INFO: CircleCenter is at " << CircleCenter << ", CirclePlaneNormal is " << CirclePlaneNormal << " with circle radius " << sqrt(CircleRadius) << ".");
-                    LOG(1, "INFO: SearchDirection is " << SearchDirection << ".");
-                    LOG(1, "INFO: Radius of CircumCenterCircle is " << radius << ".");
+                    LOG(3, "DEBUG: CircleCenter is at " << CircleCenter << ", CirclePlaneNormal is " << CirclePlaneNormal << " with circle radius " << sqrt(CircleRadius) << ".");
+                    LOG(3, "DEBUG: SearchDirection is " << SearchDirection << ".");
+                    LOG(3, "DEBUG: Radius of CircumCenterCircle is " << radius << ".");
                     if (radius < RADIUS * RADIUS) {
                       otherradius = CandidateLine.BaseLine->endpoints[1]->node->DistanceSquared(NewPlaneCenter);
@@ -2212,11 +2218,11 @@
                         helper = NewNormalVector;
                         helper.Scale(sqrt(RADIUS * RADIUS - radius));
-                        LOG(2, "INFO: Distance of NewPlaneCenter " << NewPlaneCenter << " to either NewSphereCenter is " << helper.Norm() << " of vector " << helper << " with sphere radius " << RADIUS << ".");
+                        LOG(4, "DEBUG: Distance of NewPlaneCenter " << NewPlaneCenter << " to either NewSphereCenter is " << helper.Norm() << " of vector " << helper << " with sphere radius " << RADIUS << ".");
                         NewSphereCenter += helper;
-                        LOG(2, "INFO: NewSphereCenter is at " << NewSphereCenter << ".");
+                        LOG(4, "DEBUG: NewSphereCenter is at " << NewSphereCenter << ".");
                         // OtherNewSphereCenter is created by the same vector just in the other direction
                         helper.Scale(-1.);
                         OtherNewSphereCenter += helper;
-                        LOG(2, "INFO: OtherNewSphereCenter is at " << OtherNewSphereCenter << ".");
+                        LOG(4, "DEBUG: OtherNewSphereCenter is at " << OtherNewSphereCenter << ".");
                         alpha = GetPathLengthonCircumCircle(CircleCenter, CirclePlaneNormal, CircleRadius, NewSphereCenter, OldSphereCenter, NormalVector, SearchDirection, HULLEPSILON);
                         Otheralpha = GetPathLengthonCircumCircle(CircleCenter, CirclePlaneNormal, CircleRadius, OtherNewSphereCenter, OldSphereCenter, NormalVector, SearchDirection, HULLEPSILON);
@@ -2239,18 +2245,18 @@
                           if ((CandidateLine.ShortestAngle - HULLEPSILON) < alpha) {
                             CandidateLine.pointlist.push_back(Candidate);
-                            LOG(0, "ACCEPT: We have found an equally good candidate: " << *(Candidate) << " with " << alpha << " and circumsphere's center at " << CandidateLine.OptCenter << ".");
+                            LOG(2, "ACCEPT: We have found an equally good candidate: " << *(Candidate) << " with " << alpha << " and circumsphere's center at " << CandidateLine.OptCenter << ".");
                           } else {
                             // remove all candidates from the list and then the list itself
                             CandidateLine.pointlist.clear();
                             CandidateLine.pointlist.push_back(Candidate);
-                            LOG(0, "ACCEPT: We have found a better candidate: " << *(Candidate) << " with " << alpha << " and circumsphere's center at " << CandidateLine.OptCenter << ".");
+                            LOG(2, "ACCEPT: We have found a better candidate: " << *(Candidate) << " with " << alpha << " and circumsphere's center at " << CandidateLine.OptCenter << ".");
                           }
                           CandidateLine.ShortestAngle = alpha;
-                          LOG(0, "INFO: There are " << CandidateLine.pointlist.size() << " candidates in the list now.");
+                          LOG(2, "DEBUG: There are " << CandidateLine.pointlist.size() << " candidates in the list now.");
                         } else {
                           if ((Candidate != NULL) && (CandidateLine.pointlist.begin() != CandidateLine.pointlist.end())) {
-                            LOG(1, "REJECT: Old candidate " << *(*CandidateLine.pointlist.begin()) << " with " << CandidateLine.ShortestAngle << " is better than new one " << *Candidate << " with " << alpha << " .");
+                            LOG(3, "REJECT: Old candidate " << *(*CandidateLine.pointlist.begin()) << " with " << CandidateLine.ShortestAngle << " is better than new one " << *Candidate << " with " << alpha << " .");
                           } else {
-                            LOG(1, "REJECT: Candidate " << *Candidate << " with " << alpha << " was rejected.");
+                            LOG(3, "REJECT: Candidate " << *Candidate << " with " << alpha << " was rejected.");
                           }
                         }
